Package org.apache.solr.common.util

# Interface DataEntry.FastDecoder

All Known Implementing Classes:
  `FastJavaBinDecoder`

Enclosing interface:
  `DataEntry`

public static interface DataEntry.FastDecoder

## Method Summary

Modifier and Type
Method
Description
`Object`
`decode(DataEntry.EntryListener iterListener)`
`DataEntry.FastDecoder`
`withInputStream(InputStream is)`

## Method Details

### withInputStream

DataEntry.FastDecoder withInputStream(InputStream is)

### decode

Object decode(DataEntry.EntryListener iterListener) throws IOException

Throws:
  `IOException`